Đến nội dung


Hình ảnh
- - - - -

[Yêu cầu] Lisp đo khoảng cách các điểm.


  • Please log in to reply
3 replies to this topic

#1 dung_can

dung_can

    biết pan

  • Members
  • Pip
  • 9 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 24 July 2012 - 09:50 AM

Chào các bác.
Các bác giúp em viết Lisp đo khoảng cách các điểm với cách đo như sau: khi thực hiện đo ta sẽ đạt được đồng thời cả kích thước DimlinearDimbaseline trong 1 lần đo.
Cụ thể là: Hình đã gửi
  • 0

#2 dung_can

dung_can

    biết pan

  • Members
  • Pip
  • 9 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 01 August 2012 - 02:45 PM

Sao không ai trên diễn đàn giúp mình nhỉ, chán. :wacko:
  • 0

#3 mathan

mathan

    biết vẽ rectang

  • Members
  • PipPip
  • 83 Bài viết
Điểm đánh giá: 57 (tàm tạm)

Đã gửi 02 August 2012 - 02:10 PM

Gửi bạn xài thử

;; Free lisp code from CADViet.com - Code by mathan
;; Dim nhanh
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun c:dimnh (/ )
(setq dimstyle1 "dim ngang") ;; Sua ten dimstyle tuong ung
(setq dimstyle2 "dim doc") ;; Sua ten dimstyle tuong ung
(setq p1 (getpoint "\nDiem 1..."))
(setq diemmoi (getpoint "\nDiem 2..."))
(setq p3 (getpoint "\nDiem dat dim..."))
(mathan p1 diemmoi)
(setq ktra "OK")
(while (= ktra "OK")
(setq diemcu diemmoi)
(setq diemmoi (getpoint "\nDiem dat dim..."))
(if (= diemmoi nil) (setq ktra "NOT OK") (mathan diemcu diemmoi))
)
)
;;;;;; Dim
(defun mathan ( diemdau diemcuoi / )
(command "-dimstyle" "r" dimstyle1 "")
(command "DIMLINEAR" diemdau diemcuoi p3 "" )
(command "-dimstyle" "r" dimstyle2 "")
(command "DIMLINEAR" p1 diemcuoi p3 "" )
)
Lưu ý: trong đó bạn phải tạo hai dimstyle cho 1 dim ngang và 1 dim dọc và sửa tên dimstyle vào vị trí đánh dấu trong lisp
Bạn có thể tham khảo file cad đính kèmhttp://www.cadviet.c.../102268_dim.dwg
  • 4
-----------
Hình đã gửi Hãy chia sẻ để thấy có được nhiều hơn điều mình muốn!
Best regard,

#4 dung_can

dung_can

    biết pan

  • Members
  • Pip
  • 9 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 02 August 2012 - 04:01 PM

Gửi bạn xài thử


;; Free lisp code from CADViet.com - Code by mathan
;; Dim nhanh
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun c:dimnh (/ )
(setq dimstyle1 "dim ngang") ;; Sua ten dimstyle tuong ung
(setq dimstyle2 "dim doc") ;; Sua ten dimstyle tuong ung
(setq p1 (getpoint "\nDiem 1..."))
(setq diemmoi (getpoint "\nDiem 2..."))
(setq p3 (getpoint "\nDiem dat dim..."))
(mathan p1 diemmoi)
(setq ktra "OK")
(while (= ktra "OK")
(setq diemcu diemmoi)
(setq diemmoi (getpoint "\nDiem dat dim..."))
(if (= diemmoi nil) (setq ktra "NOT OK") (mathan diemcu diemmoi))
)
)
;;;;;; Dim
(defun mathan ( diemdau diemcuoi / )
(command "-dimstyle" "r" dimstyle1 "")
(command "DIMLINEAR" diemdau diemcuoi p3 "" )
(command "-dimstyle" "r" dimstyle2 "")
(command "DIMLINEAR" p1 diemcuoi p3 "" )
)
Lưu ý: trong đó bạn phải tạo hai dimstyle cho 1 dim ngang và 1 dim dọc và sửa tên dimstyle vào vị trí đánh dấu trong lisp
Bạn có thể tham khảo file cad đính kèmhttp://www.cadviet.c.../102268_dim.dwg

Tuyệt vời quá, em cám ơn bác nhiều lắm.
  • 0